<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Weedorbeat (5.01), mistermartin75 (6.00)
| Email: p.m.@directbox.com
| Web: www.carstenpukass.de
+--------------------------------------------------------+
| v7 version by:
| Author: Diemux
| Web: www.phpfusion-mods.net|
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."rank_system/infusion_db.php";

// Infusion general information
$inf_title = "Forum Rank System";
$inf_description = "Adds ranks to forum users dependent on the number of forum posts.";
$inf_version = "1.20";
$inf_developer = "weedorbeat (5.01), mistermartin75 (6.00 comp), Diemux (v7)";
$inf_email = "p.m.@directbox.com";
$inf_weburl = "http://www.carstenpukass.de";

$inf_folder = "rank_system"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => "Rank System",
	"image" => "image.gif",
	"panel" => "rank_system.php",
	"rights" => "RAS7"
);

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 16; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable[1] = DB_INFUSION_TABLE." (
  id int(10) NOT NULL auto_increment,
  posts int(10) NOT NULL default '0',
  names varchar(20) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_INFUSION_TABLE." (id, posts, names) VALUES (1, 1, 'Test rank 1')";
$inf_insertdbrow[2] = DB_INFUSION_TABLE." (id, posts, names) VALUES (2, 2, 'Test rank 2')";
$inf_insertdbrow[3] = DB_INFUSION_TABLE." (id, posts, names) VALUES (3, 3, 'Test rank 3')";
$inf_insertdbrow[4] = DB_INFUSION_TABLE." (id, posts, names) VALUES (4, 4, 'Test rank 4')";
$inf_insertdbrow[5] = DB_INFUSION_TABLE." (id, posts, names) VALUES (5, 5, 'Test rank 5')";
$inf_insertdbrow[6] = DB_INFUSION_TABLE." (id, posts, names) VALUES (6, 6, 'Test rank 6')";
$inf_insertdbrow[7] = DB_INFUSION_TABLE." (id, posts, names) VALUES (7, 7, 'Test rank 7')";
$inf_insertdbrow[8] = DB_INFUSION_TABLE." (id, posts, names) VALUES (8, 8, 'Test rank 8')";
$inf_insertdbrow[9] = DB_INFUSION_TABLE." (id, posts, names) VALUES (9, 9, 'Test rank 9')";
$inf_insertdbrow[10] = DB_INFUSION_TABLE." (id, posts, names) VALUES (10, 0, '')";
$inf_insertdbrow[11] = DB_INFUSION_TABLE." (id, posts, names) VALUES (11, 10, 'Test rank 10')";
$inf_insertdbrow[12] = DB_INFUSION_TABLE." (id, posts, names) VALUES (12, 11, 'Test rank 11')";
$inf_insertdbrow[13] = DB_INFUSION_TABLE." (id, posts, names) VALUES (13, 12, 'Test rank 12')";
$inf_insertdbrow[14] = DB_INFUSION_TABLE." (id, posts, names) VALUES (14, 13, 'Test rank 13')";
$inf_insertdbrow[15] = DB_INFUSION_TABLE." (id, posts, names) VALUES (15, 14, 'Test rank 14')";
$inf_insertdbrow[16] = DB_INFUSION_TABLE." (id, posts, names) VALUES (16, 15, 'Test rank 15')";

$inf_droptable[1] = DB_INFUSION_TABLE;
?>